import { consola, createConsola } from "consola";
export declare function logLevel(): number;
export declare const logger: Log;
export { consola, createConsola };
type ErrorMessage = string;
export type ErrorOptions = {
	shouldExit: boolean;
	silent?: boolean;
	message?: ErrorMessage;
} | any | Error;
export interface Log {
	info: (...args: any[]) => void;
	success: (msg: string) => void;
	error: (err: string | Error | object | unknown, options?: ErrorOptions) => void;
	warn: (arg: string) => void;
	warning: (arg: string) => void;
	debug: (...args: any[]) => void;
	dump: (...args: any[]) => void;
	dd: (...args: any[]) => void;
	echo: (...args: any[]) => void;
}
export interface LogOptions {
	styled?: boolean;
}
export declare const log: Log;
export declare function dump(...args: any[]): void;
export declare function dd(...args: any[]): void;
export declare function echo(...args: any[]): void;
